Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Enum Class AutopaymentMode

java.lang.Object
java.lang.Enum<AutopaymentMode>
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.AutopaymentMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AutopaymentMode>`, `Constable`

public enum AutopaymentMode extends Enum<AutopaymentMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `MONTH`
  `OFF`
  `WEEK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AutopaymentMode`
  `getAutopaymentModeByCode(int code)`
  `int`
  `getCode()`
  `String`
  `toString()`
  `static AutopaymentMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AutopaymentMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final AutopaymentMode OFF

  - ### WEEK

    public static final AutopaymentMode WEEK

  - ### MONTH

    public static final AutopaymentMode MONTH

  - ### AUTO

    public static final AutopaymentMode AUTO

- ## Method Details

  - ### values

    public static AutopaymentMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AutopaymentMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AutopaymentMode>`

  - ### getAutopaymentModeByCode

    public static AutopaymentMode getAutopaymentModeByCode(int code)